import { TablePaginationConfig } from 'antd';

export const LOCALE = 'locale';
export const namePath = {
  NotificationSetting: '/system/notification/setting',
  NotificationSettingEdit: 'edit',
};
export const DATE_DISPLAY = 'DD/MM/YYYY';
export const DATE_REQUEST = 'YYYY-MM-DD';
export const DATE_DMY = 'DD-MM-YYYY';
export const DATE_SYSTEM = 'MM-DD-YYYY';
export const TIME_HOUR = 'HH:mm';
export const TIME_DAY = 'DD-MM';
export const TIME_MONTH = 'YYYY-MM';
export const DATE_TIME = 'YYYY-MM-DD HH:mm:ss';
export const YEAR = 'YYYY';
export const MONTH_YEAR = 'MMM-YYYY';
export const YEAR_MONTH_NUM = 'YYYY-MM';
export const YEAR_WEEK = 'YYYY-W';
export const headerCode = {
  projectMember: 'project_member',
  notificationSetting: 'notificationSetting',
  notificationContent: 'notification_notification-content',
  notificationDetail: 'notification_notification-detail',
};
export const paginationConfig: TablePaginationConfig = {
  current: 1,
  pageSize: 10,
  pageSizeOptions: ['10', '20', '50', '100'],
  showSizeChanger: true,
  showQuickJumper: false,
};

export const paginationConfigDefault100: TablePaginationConfig = {
  current: 1,
  pageSize: 10,
  pageSizeOptions: ['10', '50', '100'],
  showSizeChanger: true,
  showQuickJumper: false,
};
export const sitemapCode = {
  sitemap: 'sitemap',
  timeOt: 'time-ot',
  timeRequest: 'time-request',
  dashboard: 'dashboard',
  timeCheck: 'time-check',
  hr: 'hr',
  timeLeave: 'time-leave',
  notification: 'notification',
  permissionRole: 'permissionRole',
  user: 'user',
  report: 'report',
  channel: 'channel',
  timesheet: 'timesheet',
  timelog: 'timelog',
  project: 'project',
  jira: 'Jira',
};

export enum SortDir {
  ASC = 'asc',
  DESC = 'desc',
}

export const formatsEditor = [
  'header',
  'bold',
  'italic',
  'underline',
  'strike',
  'blockquote',
  'list',
  'bullet',
  'indent',
  'link',
  'image',
];

export const modulesEditor = {
  toolbar: [
    [{ header: [1, 2, 3, false] }],
    ['bold', 'italic', 'underline', 'strike'],
    [{ list: 'ordered' }, { list: 'bullet' }],
    ['link', 'image'],
  ],
};

export interface SELECT_TYPE {
  value: any;
  label: string;
}
