export enum EFieldType {
  text = 'text',
  dropdown = 'dropdown',
}

export interface IFilterItem {
  fieldType: EFieldType;
  field: string;
  operator: string;
  logic: string;
}

export enum FilterOperator {
  EQUAL = 'eq',
  NOTEQUAL = 'neq',
  IN = 'in',
  NOTIN = 'nin',
  LESTHAN = 'lt',
  LESTHANEQUAL = 'lte',
  GREATERTHAN = 'mt',
  GREATERTHANEQUAL = 'mte',
  CONTAINS = 'cons',
  STARTSWITH = 'startswith',
  ENDSWITH = 'endswith',
  NOTNULLEMPTY = 'notnull',
}
export enum FilterLogic {
  AND = 'AND',
  OR = 'OR',
}
export interface Filterable {
  field: string;
  operator: FilterOperator;
  value: unknown;
  logic: FilterLogic;
}

export const MOCK_DATA: IFilterItem[] = [
  {
    field: 'name',
    operator: FilterOperator.CONTAINS,
    logic: 'OR',
    fieldType: EFieldType.text,
  },
  {
    field: 'email',
    operator: FilterOperator.CONTAINS,
    logic: 'OR',
    fieldType: EFieldType.text,
  },
  {
    field: 'dob',
    operator: FilterOperator.CONTAINS,
    logic: 'OR',
    fieldType: EFieldType.text,
  },
];
