import { Resource, ResponseData, Pagination, QueryParams } from './common';
export interface NotificationManagementItem extends Resource {
  isActive: boolean;
  isEmail: boolean;
  name: string;
  status: number;
  notiUid: string;
}

export type ResNotificationManagementModify = ResponseData<{}, {}>;

export interface NotificationContentItem {
  uid: string;
  notiUid: string;
  channelCode: string;
  message: string;
  subject: string;
}
export type NotificationContentFields = 'channelCode';

export interface NotificationContentFilter {}

export type NotificationContentList = ResponseData<
  { items: NotificationContentItem[] },
  Pagination
>;
export type NotificationContentQuery = QueryParams<NotificationContentFields> &
  NotificationContentFilter;

export type ResNotificationContentModify = ResponseData<{}, {}>;
export type ResNotificationContentDetail = ResponseData<
  { Role: NotificationContentItem },
  {}
>;

export interface ChangeSttNoti {
  notiUid: string;
}
