import { Pagination, QueryParams, Resource, ResponseData } from './common';
export interface NotificationManagementListItem extends Resource {
  uid: string;
  name: string;
  channel: string;
  status: string;
  email?: string;
}

export interface NotificationDetailItem extends Resource {
  name: string;
  status: number;
  email: string | null;
  channel: string | null;
  frequence: '';
  time: string | null;
  dayOfWeek: string | null;
  isSendEmail: boolean | null;
  redirectTo: string | null;
  redirectDes: string | null;
  subject: string;
  message: string;
  createdAt: string | null;
  updatedAt: string;
  notificationTypeName: string | null;
  notificationAssamblyName: string;
  tenantId: string;
  isLastWorking?: boolean | null;
  timeZone: string;
}
export interface NotificationDetailEmpEmail extends Resource {
  uid: string;
  name: string;
  email: string;
  notiUid?: string;
  employCode?: string;
  isBcc?: boolean;
  isCC?: boolean;
  status?: number;
}
export interface NotificationDetailChannel extends Resource {
  notiUid?: string;
  channelCode?: string;
  message?: string;
  subject?: string;
}

export type NotificationManagementFields =
  | 'notificationId'
  | 'notificationName'
  | 'notificationStatus'
  | 'notificationChannel';

export interface NotificationManagementFilter {
  search?: string;
  name?: string;
  channel?: string;
  position?: string;
  status?: number;
}
export type ResNotificationManagementList = ResponseData<
  { notification: NotificationManagementListItem[] },
  Pagination
>;
export type NotificationManagementQuery =
  QueryParams<NotificationManagementFields> & NotificationManagementFilter;

export type ResNotificationManagementModify = ResponseData<{}, {}>;
export type ResNotificationManagementDetail = ResponseData<
  { notification: NotificationManagementListItem },
  {}
>;

export interface NotificationSettingItem {
  uid: string;
  body: any;
  endPoint?: string;
  name?: string;
  channel?: string;
  notiUid?: string;
  status?: number;
  isActive?: boolean;
}
