import { PlusOutlined } from '@ant-design/icons';
import { Form } from 'antd';
import BasicButton from 'components/BasicButton';
import BasicInput from 'components/BasicInput';
import { useEffect } from 'react';
import { validateMessages } from 'utils/common';

const UserDetail = () => {
  const [form] = Form.useForm();

  useEffect(() => {
    form.setFieldsValue({});
  }, []);

  const onFinish = (values: any) => {
    console.log({ values });
  };
  return (
    <Form
      name="dynamic_form_nest_item"
      onFinish={onFinish}
      autoComplete="off"
      form={form}
      validateMessages={validateMessages()}
    >
      <BasicInput
        placeholder="Email"
        allowClear
        name="email"
        rules={[{ required: true }]}
        label="Email"
      />

      <BasicInput
        placeholder="name"
        allowClear
        name="name"
        rules={[{ required: true }]}
        label="name"
      />

      <BasicInput
        placeholder="dob"
        allowClear
        name="dob"
        rules={[{ required: true }]}
        label="dob"
      />
    </Form>
  );
};

export default UserDetail;
