import NotFound from 'pages/notFound';
import UserDetail from 'pages/user/detail';
import UserList from 'pages/user/list';
import { useRoutes } from 'react-router-dom';

export default function RouterElement() {
  let element = useRoutes([
    {
      path: '/user',
      children: [
        {
          path: 'list',
          element: <UserList />,
        },
        {
          path: 'detail/:uid',
          element: <UserDetail />,
        },
      ],
    },
    {
      path: '/time-leave',
      children: [
        {
          path: 'management',
          element: <UserList />,
        },
      ],
    },
    {
      path: '*',
      element: <NotFound />,
    },
  ]);

  return element;
}
