import { AxiosRequestConfig } from "axios";
import { QueryObserverOptions, useQuery, UseQueryOptions } from "react-query";
import { axiosClient } from "services/axiosClient";

export const fetchListUser = (params:any) => axiosClient.get('list', {
    baseURL: process.env.REACT_APP_MOCK_API,
    params
})

interface IQuery {
    url: string,
    options?: AxiosRequestConfig,
    optionsQuery?: Omit<UseQueryOptions<unknown, unknown, unknown, (string | AxiosRequestConfig<any> | undefined)[]>, "queryKey" | "queryFn"> | undefined
}

const useCustomQuery = ({options,url,optionsQuery} : IQuery) => {
    console.log({options,url,optionsQuery});
    
    return useQuery(
        [url, options?.params.filter],
        () => axiosClient.get(url, {
            baseURL: process.env.REACT_APP_MOCK_API,
            ...options
        }),
        {
            refetchOnWindowFocus : false
        }
    );
}

export { useCustomQuery}